Show / Hide Table of Contents

# Class VirtualKeyExtensions

Extension methods for VirtualKey.

##### Inheritance

System.Object
VirtualKeyExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Keys

###### Assembly: Dalamud.dll

##### Syntax

    public static class VirtualKeyExtensions

### Methods

| Improve this Doc View Source

#### GetFancyName(VirtualKey)

Get the fancy name associated with this key.

##### Declaration

    public static string GetFancyName(this VirtualKey key)

##### Parameters

Type | Name | Description
--- | --- | ---
VirtualKey | key | The they key to act on.

##### Returns

Type | Description
--- | ---
System.String | The key's fancy name.